## org.apache.fop.dom.svg
Class SVGEllipseElementImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl
                        |
                        +--org.apache.fop.dom.svg.GraphicElement
                              |
                              +--org.apache.fop.dom.svg.SVGEllipseElementImpl

public class SVGEllipseElementImpl
extends GraphicElement
implements org.w3c.dom.svg.SVGEllipseElement

Fields inherited from class org.apache.fop.dom.svg.GraphicElement
`reqExtensions, reqFeatures, sysLanguage`

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SVGEllipseElementImpl()`

Method Summary
`org.w3c.dom.svg.SVGRect` `getBBox()`
`org.w3c.dom.svg.SVGAnimatedLength` `getCx()`
`org.w3c.dom.svg.SVGAnimatedLength` `getCy()`
`org.w3c.dom.svg.SVGAnimatedLength` `getRx()`
`org.w3c.dom.svg.SVGAnimatedLength` `getRy()`
`void` `setCx(org.w3c.dom.svg.SVGAnimatedLength cx)`
`void` `setCy(org.w3c.dom.svg.SVGAnimatedLength cy)`
`void` `setRx(org.w3c.dom.svg.SVGAnimatedLength rx)`
`void` `setRy(org.w3c.dom.svg.SVGAnimatedLength ry)`

Methods inherited from class org.apache.fop.dom.svg.GraphicElement
`addEventListener, dispatchEvent, getChildrenBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getRequiredExtensions, getRequiredFeatures, getScreenCTM, getSystemLanguage, getTransform, getTransformToElement, getXMLlang, getXMLspace, hasExtension, removeEventListener, setRequiredExtensions, setRequiredFeatures, setSystemLanguage, setTransform, setXMLlang, setXMLspace`

Methods inherited from class org.apache.fop.dom.svg.SVGElementImpl
`appendChild, getAnimatedPresentationAttribute, getClassName, getExternalResourcesRequired, getId, getNamespaceURI, getOwnerSVGElement, getPresentationAttribute, getStyle, getViewportElement, setClassName, setExternalResourcesRequired, setId, setOwnerSVG, setStyle`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGEllipseElementImpl

    public SVGEllipseElementImpl()

Method Detail

### getBBox

    public org.w3c.dom.svg.SVGRect getBBox()

  Overrides:
    getBBox in class GraphicElement

### getCx

    public org.w3c.dom.svg.SVGAnimatedLength getCx()

  Specified by:
    getCx in interface org.w3c.dom.svg.SVGEllipseElement

### setCx

    public void setCx(org.w3c.dom.svg.SVGAnimatedLength cx)

### getCy

    public org.w3c.dom.svg.SVGAnimatedLength getCy()

  Specified by:
    getCy in interface org.w3c.dom.svg.SVGEllipseElement

### setCy

    public void setCy(org.w3c.dom.svg.SVGAnimatedLength cy)

### getRx

    public org.w3c.dom.svg.SVGAnimatedLength getRx()

  Specified by:
    getRx in interface org.w3c.dom.svg.SVGEllipseElement

### setRx

    public void setRx(org.w3c.dom.svg.SVGAnimatedLength rx)

### getRy

    public org.w3c.dom.svg.SVGAnimatedLength getRy()

  Specified by:
    getRy in interface org.w3c.dom.svg.SVGEllipseElement

### setRy

    public void setRy(org.w3c.dom.svg.SVGAnimatedLength ry)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.